%define momorel 5

Summary: An uncompressor for .arj format archive files.
Name: unarj
Version: 2.63a
Release: %{momorel}m
Group: Applications/Archiving
License: see "unarj.txt"
Source: ftp://sunsite.unc.edu/pub/Linux/utils/compress/unarj-%{version}.tar.gz
Patch0: unarj-2.65-CAN-2004-0947.patch
Patch1: unarj-2.65-sanitation.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0

%description
The UNARJ program is used to uncompress .arj format archives.  The
.arj format archive was mostly used on DOS machines.

Install the unarj package if you need to uncompress .arj format
archives.

%prep
%setup -q -n unarj-%{version}
%patch0 -p1
%patch1 -p1

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin

install -m 755 unarj %{buildroot}/usr/bin

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
# %doc unarj.doc
/usr/bin/unarj

%changelog
* Fri Nov 26 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.63a-5m)
- [SECURITY] CAN-2004-0947, CAN-2004-1027

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (2.63a-4m)
- revised spec for rpm 4.2.

* Sat Oct 25 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.63a-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Thu Mar 14 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- up to 2.63a

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 2.43

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
